### Enumeration

# Ide SymbolKind

#### Declaration

    enum Ide.SymbolKind

#### Description

No description available.

#### Members

Name | Description
--- | ---
`IDE_SYMBOL_KIND_NONE` | No description available.
`IDE_SYMBOL_KIND_ALIAS` | No description available.
`IDE_SYMBOL_KIND_ARRAY` | No description available.
`IDE_SYMBOL_KIND_BOOLEAN` | No description available.
`IDE_SYMBOL_KIND_CLASS` | No description available.
`IDE_SYMBOL_KIND_CONSTANT` | No description available.
`IDE_SYMBOL_KIND_CONSTRUCTOR` | No description available.
`IDE_SYMBOL_KIND_ENUM` | No description available.
`IDE_SYMBOL_KIND_ENUM_VALUE` | No description available.
`IDE_SYMBOL_KIND_FIELD` | No description available.
`IDE_SYMBOL_KIND_FILE` | No description available.
`IDE_SYMBOL_KIND_FUNCTION` | No description available.
`IDE_SYMBOL_KIND_HEADER` | No description available.
`IDE_SYMBOL_KIND_INTERFACE` | No description available.
`IDE_SYMBOL_KIND_MACRO` | No description available.
`IDE_SYMBOL_KIND_METHOD` | No description available.
`IDE_SYMBOL_KIND_MODULE` | No description available.
`IDE_SYMBOL_KIND_NAMESPACE` | No description available.
`IDE_SYMBOL_KIND_NUMBER` | No description available.
`IDE_SYMBOL_KIND_PACKAGE` | No description available.
`IDE_SYMBOL_KIND_PROPERTY` | No description available.
`IDE_SYMBOL_KIND_SCALAR` | No description available.
`IDE_SYMBOL_KIND_STRING` | No description available.
`IDE_SYMBOL_KIND_STRUCT` | No description available.
`IDE_SYMBOL_KIND_TEMPLATE` | No description available.
`IDE_SYMBOL_KIND_UNION` | No description available.
`IDE_SYMBOL_KIND_VARIABLE` | No description available.
`IDE_SYMBOL_KIND_KEYWORD` | No description available.
`IDE_SYMBOL_KIND_UI_ATTRIBUTES` | No description available.
`IDE_SYMBOL_KIND_UI_CHILD` | No description available.
`IDE_SYMBOL_KIND_UI_ITEM` | No description available.
`IDE_SYMBOL_KIND_UI_MENU` | No description available.
`IDE_SYMBOL_KIND_UI_MENU_ATTRIBUTE` | No description available.
`IDE_SYMBOL_KIND_UI_OBJECT` | No description available.
`IDE_SYMBOL_KIND_UI_PACKING` | No description available.
`IDE_SYMBOL_KIND_UI_PROPERTY` | No description available.
`IDE_SYMBOL_KIND_UI_SECTION` | No description available.
`IDE_SYMBOL_KIND_UI_SIGNAL` | No description available.
`IDE_SYMBOL_KIND_UI_STYLE` | No description available.
`IDE_SYMBOL_KIND_UI_STYLE_CLASS` | No description available.
`IDE_SYMBOL_KIND_UI_SUBMENU` | No description available.
`IDE_SYMBOL_KIND_UI_TEMPLATE` | No description available.
`IDE_SYMBOL_KIND_XML_ATTRIBUTE` | No description available.
`IDE_SYMBOL_KIND_XML_DECLARATION` | No description available.
`IDE_SYMBOL_KIND_XML_ELEMENT` | No description available.
`IDE_SYMBOL_KIND_XML_COMMENT` | No description available.
`IDE_SYMBOL_KIND_XML_CDATA` | No description available.
`IDE_SYMBOL_KIND_OBJECT` | No description available.
`IDE_SYMBOL_KIND_EVENT` | No description available.
`IDE_SYMBOL_KIND_OPERATOR` | No description available.
`IDE_SYMBOL_KIND_TYPE_PARAM` | No description available.
`IDE_SYMBOL_KIND_LAST` | No description available.

#### Type functions

###### ide_symbol_kind_get_icon_name

No description available.